<?php

namespace Modules\Package\Interfaces;

use Modules\Package\Models\Package;

interface PackageRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Package;
    public function update(array $request, Package $package): Package;
    public function destroy(Package $package): void;
    public function destroyAll(array $ids): void;
    public function restore(Package $package): void;
    public function restoreAll(array $ids): void;
}
